Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228037 - oops in FW code
Summary: oops in FW code
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 17:36 UTC by Bill Nottingham
Modified: 2014-03-17 03:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-27 14:19:14 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2007-02-09 17:36:08 UTC
Machine booted up fine. On starting a X session (so, being prodded by hal/g-v-m,
presumably):

scsi13 : SBP-2 IEEE-1394
scsi 13:0:0:0: CD-ROM            _NEC     DVD_RW ND-2500A  1.06 PQ: 0 ANSI: 0
sr1: scsi3-mmc drive: 0x/0x caddy
sr 13:0:0:0: Attached scsi CD-ROM sr1
sr 13:0:0:0: Attached scsi generic sg2 type 5
fw_core: created new fw device fw4 (3 config rom retries)
audit(1171042113.212:1114): audit_pid=0 old=1925 by auid=4294967295
subj=system_u:system_r:auditd_t:s0
general protection fault: 0000 [1] SMP 
last sysfs file: /class/drm/card0/dev
CPU 1 
Modules linked in: nfs lockd nfs_acl i915 drm netconsole autofs4 hidp rfcomm
l2cap bluetooth sunrpc nf_conntrack_netbios_ns nf_conntrack_ipv4 xt_state
nf_conntrack nfnetlink ipt_REJECT iptable_filter ip_tables xt_tcpudp ip6t_REJECT
ip6table_filter ip6_tables x_tables cpufreq_ondemand dm_multipath video sbs
i2c_ec dock button battery asus_acpi backlight ac ipv6 lp fw_sbp2 snd_hda_intel
snd_hda_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm fw_ohci fw_core parport_pc
i2c_i801 ata_generic snd_timer parport serio_raw snd i2c_core pcspkr iTCO_wdt
iTCO_vendor_support soundcore e1000 snd_page_alloc shpchp sr_mod cdrom sg
dm_snapshot dm_zero dm_mirror dm_mod pata_marvell ahci libata sd_mod scsi_mod
ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
Pid: 0, comm: swapper Not tainted 2.6.20-1.2922.fc7 #1
RIP: 0010:[<ffffffff881ad1cb>]  [<ffffffff881ad1cb>]
:fw_core:fw_core_handle_response+0xab/0x120
RSP: 0018:ffff81003ee3be60  EFLAGS: 00010006
RAX: 000000000000ffc1 RBX: 6b6b6b6b6b6b6b5b RCX: 0000000000000168
RDX: 6b6b6b6b6b6b6b6b RSI: ffff81003ee96820 RDI: ffff81001c473010
RBP: ffff81003ee3beb0 R08: 0000000000000002 R09: 0000000000000001
R10: ffffffff881ad168 R11: ffff81003c219150 R12: 000000000000000d
R13: ffff81003c218470 R14: 00000000ffc10000 R15: ffff81003c2199c0
FS:  0000000000000000(0000) GS:ffff81003ee050a0(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000641008 CR3: 000000002baa2000 CR4: 00000000000006e0
Process swapper (pid: 0, threadinfo ffff81003ee34000, task ffff81003ee96100)
Stack:  ffff8100026274c0 ffff81003c218000 ffc0352000000001 0000000000000202
 0000ffc13ee3bea0 ffff81003c2199a0 ffff81003c218000 0000000000000009
 0000000000000001 0000000000000008 ffff81003ee3bee0 ffffffff881ba29d
Call Trace:
 <IRQ>  [<ffffffff881ba29d>] :fw_ohci:ar_context_tasklet+0x99/0xfe
 [<ffffffff802915f7>] tasklet_action+0x5e/0xb2
 [<ffffffff80211ba6>] __do_softirq+0x5f/0xe3
 [<ffffffff8025d2ac>] call_softirq+0x1c/0x28
 [<ffffffff8026bdfc>] do_softirq+0x39/0x9f
 [<ffffffff802914cd>] irq_exit+0x4e/0x50
 [<ffffffff8026bfb0>] do_IRQ+0x14e/0x170
 [<ffffffff80255c77>] mwait_idle+0x0/0x50
 [<ffffffff8025c666>] ret_from_intr+0x0/0xf
 <EOI>  [<ffffffff80260f3e>] __sched_text_start+0xafe/0xb36
 [<ffffffff80255cbd>] mwait_idle+0x46/0x50
 [<ffffffff802481e1>] enter_idle+0x22/0x24
 [<ffffffff802483dc>] cpu_idle+0xa1/0xc4
 [<ffffffff80275c70>] start_secondary+0x46e/0x47d


Code: 48 8b 53 10 0f 18 0a 48 8b 45 b8 48 8d 7b 10 48 83 c0 28 48 
RIP  [<ffffffff881ad1cb>] :fw_core:fw_core_handle_response+0xab/0x120
 RSP <ffff81003ee3be60>
 <0>Kernel panic - not syncing: Aiee, killing interrupt handler!

Comment 1 Kristian Høgsberg 2007-03-15 21:11:05 UTC
This bug should be fixed in 1.2987.fc7 or later.


Note You need to log in before you can comment on or make changes to this bug.